Bug 1369025 - python-shade: Provide a Python 3 subpackage
Summary: python-shade: Provide a Python 3 subpackage
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-shade
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Belanger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1417461
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-08-22 10:57 UTC by Dominika Krejčí
Modified: 2018-05-03 16:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-03 16:31:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Dominika Krejčí 2016-08-22 10:57:56 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Dominika Krejčí 2016-10-05 16:31:11 UTC
Hi Lars, is there any reason why is Python 3 disabled in the specfile?

Comment 2 Paul Belanger 2016-10-05 17:03:18 UTC
Last I checked, not all of the dependencies for OpenStack libraries supported python3. Which was the original reason for disabling it.

Comment 3 Dominika Krejčí 2016-10-12 15:18:10 UTC
(In reply to Paul Belanger from comment #2)
> Last I checked, not all of the dependencies for OpenStack libraries
> supported python3. Which was the original reason for disabling it.

I think all dependencies which are needed now support Python 3. (python3-ipaddress does not exist, it is in the standard library since Python 3.3 so it is no need to require it.) Do you know about another "blocker"?

Comment 4 Lars Kellogg-Stedman 2016-12-15 17:13:29 UTC
It looks like the spec file now has support for building a python3 subpackage and builds successfully under rawhide.  Paul, should the python3 builds be enabled in master?

Comment 5 Paul Belanger 2016-12-20 19:01:00 UTC
Sure, we can try and see what a happens. In fact, the next releases of shade are dropping openstack clients as a dependencies.

I'll work on this over the christmas break.

Comment 6 Charalampos Stratakis 2017-01-27 15:42:44 UTC
Hello Paul.

Any news on this?

Comment 7 Paul Belanger 2017-01-29 15:39:07 UTC
We are blocked until python3-ironicclient fixes their dependency issue.  There is currently no python3-openstackclient.

   Error: nothing provides python3-openstackclient >= 2.1.0 needed by python3-ironicclient-1.7.0-2.fc26.noarch

Comment 8 Fedora End Of Life 2017-02-28 10:08:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 9 Fedora End Of Life 2018-05-03 08:03:01 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Petr Viktorin 2018-05-03 16:31:05 UTC
This looks fixed; I see a python3-shade in f28. Thank you!


Note You need to log in before you can comment on or make changes to this bug.